import $http from "./request/requestConfig"
import {
    BASE_URI
} from "../pages/utils/constant.js";

const baseUri = '/smartParkH5Server'
const controller = '/wx/periphery'

export function list(data) {
    return $http.post(
        BASE_URI + controller + '/list',
        data, {}
    )
}

export function getActivityById(id, userId) {
    return $http.post(
        BASE_URI + controller + '/getActivityById?id=' + id + '&userId=' + userId,
        {}, {}
    )
}

export function clickCollect(data) {
    return $http.post(
        BASE_URI + controller + '/clickCollect', data, {}
    )
}

export function insertRegisSignInfo(data) {
    return $http.post(
        BASE_URI + controller + '/insertRegisSignInfo',
        data, {}
    )
}

export function listRegisSignInfo(data) {
    return $http.post(
        BASE_URI + controller + '/listRegisSignInfo',
        data, {}
    )
}

export function updatePublishStatus(data) {
    return $http.post(
        BASE_URI + controller + '/updatePublishStatus',
        data, {}
    )
}

export function add(data) {
    return $http.post(
        BASE_URI + controller + '/add',
        data, {}
    )
}

export function richScanActivity(data) {
    return $http.post(
        BASE_URI + controller + '/richScan',
        data, {}
    )
}
